<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="problife.css">
    </head>
    <body>

        <h1> ProbLife </h1>

        <div id="rulesDiv">

        </div>
        <button type="button" id="newRuleButton" onclick="addRule();">+</button>
        <button type="button" id="newRuleButton" onclick="delRule();">-</button></br>

        Width:
        <select id="width" onchange="changeWidth();"> 
            <option value="1">1
            <option value="2">2
            <option value="3" selected="selected">3
            <option value="4">4
            <option value="5">5
            <option value="6">6
            <option value="7">7
        </select>
        Height:
        <select id="height" onchange="changeHeight();"> 
            <option value="1">1
            <option value="2">2
            <option value="3" selected="selected">3
            <option value="4">4
            <option value="5">5
            <option value="6">6
            <option value="7">7
        </select>
        Duration:
        <select id="duration" onchange="changeDuration();"> 
            <option value="1">1
            <option value="2" selected="selected">2
            <option value="3">3
            <option value="4">4
        </select>

        <br/>
        <br/>
        <button type="button" id="prevButton" onclick="prevState();"> Previous</button>
        <button type="button" id="runButton" onclick="runProblog();"> Run </button>
        <button type="button" id="nextButton" onclick="nextState();"> Next</button>
        <button type="button" id="resetButton" onclick="resetState();"> Reset</button>
        <div id="loader"></div>


        Generation <span id="generationNb"> </span>
        <br/>
        <span id="minGenerationNb"> </span><input type="range" min="0" max="0" value="0" step="1" id="generationSlider" oninput="sliderUpdated();"/><span id="maxGenerationNb"> </span>
        <br/>
        <input type="checkbox" id="autoRunCheckbox" onclick="cycle();">
        <label for="autoRunCheckbox">Animate</label>
        <br>

        <canvas width="650" height="650" id="canvas"></canvas>

    <script src="problife.js"></script>
    </body>
</html>


